#!/bin/bash
#SBATCH -A SNIC2019-5-172
#Asking for 10 min.
#SBATCH -t 00:10:00
#Number of nodes
#SBATCH -N 1
#SBATCH -n 1
#SBATCH --gres=gpu:k80:2
#SBATCH --exclusive

#Load modules necessary for running MATLAB
ml MATLAB/2019b.Update2

MATLAB='matlab -nodisplay -singleCompThread'

srun ${MATLAB} -r "gpu(15000);" > test_parallel.log
