function [t0] = getDatetime0
% Utility function to get initial time on a worker or current session

% Copyright 2019 The MathWorks, Inc.

p=gcp('nocreate');

if ~isempty(p)
    lt0 = datetime;
    spmd
        t0 = datetime;
    end
    t0 = t0{1};
    tocCheck = seconds(datetime-lt0);
    
    if tocCheck>1
        warning('It took more than 1 second to query initial time on cluster');
    end
else
    t0 = datetime;
end

end

