function S = gpu(N)
format long;
gpuDevice;
A1 = rand(N,N);
tic;
B1 = fft(A1);
time1 = toc;


A2 = gpuArray(A1);
tic;
B2 = fft(A2);
time2 = toc;

%Speedup
S = time1/time2;

filename = ['output_', '1', '.out'];
fid=fopen(filename,'w');
fprintf(fid,'A small Matlab example\n');
fprintf(fid,'N = %2i\n',N);
fprintf(fid,'Time = %16.12f\n',S);
fclose(fid);

end
